Page MenuHomeFreeBSD

devel/rubygem-devise: re-add bsd.port.options.mk
ClosedPublic

Authored by mmoll on Jun 5 2015, 4:08 PM.

Details

Reviewers
swills
mat
Summary

This got removed in r388157, leading to PR 200625. Proposed commit message:

devel/rubygem-devise: re-add bsd.port.options.mk

PR:		200625
Approved by:	swills (mentor), mat (mentor)
Test Plan

poudriere: http://space.kvedulv.de/FreeBSD/rubygem-devise-3.5.1_1.log
portlint:

mmoll@marduk:/svn/ports/devel/rubygem-devise$ portlint -ACNc
looks fine.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

mmoll retitled this revision from to devel/rubygem-devise: re-add bsd.port.options.mk.
mmoll updated this object.
mmoll edited the test plan for this revision. (Show Details)
mmoll added reviewers: swills, mat.
mmoll added a subscriber: sunpoet.
swills edited edge metadata.

If that fixes it, that's great.

This revision is now accepted and ready to land.Jun 5 2015, 9:50 PM

It's a bit late to say "hell no" but what are you exactly trying to think you can fix with that commit ?

this was indeed not the correct solution at all

This revision is now accepted and ready to land.Jun 6 2015, 11:11 PM
mmoll edited edge metadata.

As it turns out, this html file was autogenerated becasue of
test/rails_app/config/routes.rb, so path it out from the gemspec,
although this produces a huge patch file...

Alternatively this could be made by some sed statement...

This revision now requires review to proceed.Jun 6 2015, 11:15 PM
mmoll edited edge metadata.

update PORTREVISION

In D2739#52319, @mmoll wrote:

As it turns out, this html file was autogenerated becasue of
test/rails_app/config/routes.rb, so path it out from the gemspec,
although this produces a huge patch file...

Alternatively this could be made by some sed statement...

With sed, it would be easier to maintain, yes.

Also, if the goal is only to remove one generated html file, maybe it could be removed in post-install instead.

going the sed way then, I found that always a bit easier with auto plist generation in the past

mat edited edge metadata.
mat added inline comments.
devel/rubygem-devise/Makefile
36

Would certainly be better with all those \ removed, something like:

's|, "test/rails_app/config/routes.rb"||'
This revision is now accepted and ready to land.Jun 7 2015, 11:27 AM